/***************************************************************************
 *   Copyright (C) 2009 by Rene Landert <rene.landert@bluewin.ch>          *
 *                                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "KchildlockConf.h"
#include "KchildlockKCM.h"
#include "kchildlock.h"

#include "ui_userPage.h"
#include "ui_groupPage.h"
#include "ui_generalPage.h"

//#define USERIDLOWLIMIT 200
// #define GROUPIDLOWLIMIT 150





void KchildlockConf::fillValuesInGui_gen()
{
general->kcfg_enable_restrictions->setChecked(KchildlockSettings::enable_restrictions());
general->kcfg_scaninterval->setValue(KchildlockSettings::scaninterval());
}

void KchildlockConf::fillValuesInGui_u1(Ui_userPage *usergroup)
{
usergroup->kcfg_enabled->setChecked(KchildlockSettings::enabled_u1());
usergroup->kcfg_DAYfromhr->setValue(KchildlockSettings::dAYfromhr_u1());
usergroup->kcfg_DAYfrommin->setValue(KchildlockSettings::dAYfrommin_u1());
usergroup->kcfg_DAYtohr->setValue(KchildlockSettings::dAYtohr_u1());
usergroup->kcfg_DAYtomin->setValue(KchildlockSettings::dAYtomin_u1());
usergroup->kcfg_DAYmaxhr->setValue(KchildlockSettings::dAYmaxhr_u1());
usergroup->kcfg_DAYmaxmin->setValue(KchildlockSettings::dAYmaxmin_u1());

usergroup->kcfg_MONenabled->setChecked(KchildlockSettings::mONenabled_u1());
usergroup->kcfg_MONfromhr->setValue(KchildlockSettings::mONfromhr_u1());
usergroup->kcfg_MONfrommin->setValue(KchildlockSettings::mONfrommin_u1());
usergroup->kcfg_MONtohr->setValue(KchildlockSettings::mONtohr_u1());
usergroup->kcfg_MONtomin->setValue(KchildlockSettings::mONtomin_u1());
usergroup->kcfg_MONmaxhr->setValue(KchildlockSettings::mONmaxhr_u1());
usergroup->kcfg_MONmaxmin->setValue(KchildlockSettings::mONmaxmin_u1());

usergroup->kcfg_TUEenabled->setChecked(KchildlockSettings::tUEenabled_u1());
usergroup->kcfg_TUEfromhr->setValue(KchildlockSettings::tUEfromhr_u1());
usergroup->kcfg_TUEfrommin->setValue(KchildlockSettings::tUEfrommin_u1());
usergroup->kcfg_TUEtohr->setValue(KchildlockSettings::tUEtohr_u1());
usergroup->kcfg_TUEtomin->setValue(KchildlockSettings::tUEtomin_u1());
usergroup->kcfg_TUEmaxhr->setValue(KchildlockSettings::tUEmaxhr_u1());
usergroup->kcfg_TUEmaxmin->setValue(KchildlockSettings::tUEmaxmin_u1());

usergroup->kcfg_WEDenabled->setChecked(KchildlockSettings::wEDenabled_u1());
usergroup->kcfg_WEDfromhr->setValue(KchildlockSettings::wEDfromhr_u1());
usergroup->kcfg_WEDfrommin->setValue(KchildlockSettings::wEDfrommin_u1());
usergroup->kcfg_WEDtohr->setValue(KchildlockSettings::wEDtohr_u1());
usergroup->kcfg_WEDtomin->setValue(KchildlockSettings::wEDtomin_u1());
usergroup->kcfg_WEDmaxhr->setValue(KchildlockSettings::wEDmaxhr_u1());
usergroup->kcfg_WEDmaxmin->setValue(KchildlockSettings::wEDmaxmin_u1());

usergroup->kcfg_THUenabled->setChecked(KchildlockSettings::tHUenabled_u1());
usergroup->kcfg_THUfromhr->setValue(KchildlockSettings::tHUfromhr_u1());
usergroup->kcfg_THUfrommin->setValue(KchildlockSettings::tHUfrommin_u1());
usergroup->kcfg_THUtohr->setValue(KchildlockSettings::tHUtohr_u1());
usergroup->kcfg_THUtomin->setValue(KchildlockSettings::tHUtomin_u1());
usergroup->kcfg_THUmaxhr->setValue(KchildlockSettings::tHUmaxhr_u1());
usergroup->kcfg_THUmaxmin->setValue(KchildlockSettings::tHUmaxmin_u1());

usergroup->kcfg_FRIenabled->setChecked(KchildlockSettings::fRIenabled_u1());
usergroup->kcfg_FRIfromhr->setValue(KchildlockSettings::fRIfromhr_u1());
usergroup->kcfg_FRIfrommin->setValue(KchildlockSettings::fRIfrommin_u1());
usergroup->kcfg_FRItohr->setValue(KchildlockSettings::fRItohr_u1());
usergroup->kcfg_FRItomin->setValue(KchildlockSettings::fRItomin_u1());
usergroup->kcfg_FRImaxhr->setValue(KchildlockSettings::fRImaxhr_u1());
usergroup->kcfg_FRImaxmin->setValue(KchildlockSettings::fRImaxmin_u1());

usergroup->kcfg_SATenabled->setChecked(KchildlockSettings::sATenabled_u1());
usergroup->kcfg_SATfromhr->setValue(KchildlockSettings::sATfromhr_u1());
usergroup->kcfg_SATfrommin->setValue(KchildlockSettings::sATfrommin_u1());
usergroup->kcfg_SATtohr->setValue(KchildlockSettings::sATtohr_u1());
usergroup->kcfg_SATtomin->setValue(KchildlockSettings::sATtomin_u1());
usergroup->kcfg_SATmaxhr->setValue(KchildlockSettings::sATmaxhr_u1());
usergroup->kcfg_SATmaxmin->setValue(KchildlockSettings::sATmaxmin_u1());

usergroup->kcfg_SUNenabled->setChecked(KchildlockSettings::sUNenabled_u1());
usergroup->kcfg_SUNfromhr->setValue(KchildlockSettings::sUNfromhr_u1());
usergroup->kcfg_SUNfrommin->setValue(KchildlockSettings::sUNfrommin_u1());
usergroup->kcfg_SUNtohr->setValue(KchildlockSettings::sUNtohr_u1());
usergroup->kcfg_SUNtomin->setValue(KchildlockSettings::sUNtomin_u1());
usergroup->kcfg_SUNmaxhr->setValue(KchildlockSettings::sUNmaxhr_u1());
usergroup->kcfg_SUNmaxmin->setValue(KchildlockSettings::sUNmaxmin_u1());

usergroup->kcfg_WEEKenabled->setChecked(KchildlockSettings::wEEKenabled_u1());
usergroup->kcfg_WEEKmaxhr->setValue(KchildlockSettings::wEEKmaxhr_u1());
usergroup->kcfg_WEEKmaxmin->setValue(KchildlockSettings::wEEKmaxmin_u1());

usergroup->kcfg_AppName1->setText(KchildlockSettings::appName1_u1());
usergroup->kcfg_App1fromhr->setValue(KchildlockSettings::app1fromhr_u1());
usergroup->kcfg_App1frommin->setValue(KchildlockSettings::app1frommin_u1());
usergroup->kcfg_App1tohr->setValue(KchildlockSettings::app1tohr_u1());
usergroup->kcfg_App1tomin->setValue(KchildlockSettings::app1tomin_u1());
usergroup->kcfg_App1maxDhr->setValue(KchildlockSettings::app1maxDhr_u1());
usergroup->kcfg_App1maxDmin->setValue(KchildlockSettings::app1maxDmin_u1());
usergroup->kcfg_App1maxWhr->setValue(KchildlockSettings::app1maxWhr_u1());
usergroup->kcfg_App1maxWmin->setValue(KchildlockSettings::app1maxWmin_u1());

usergroup->kcfg_AppName2->setText(KchildlockSettings::appName2_u1());
usergroup->kcfg_App2fromhr->setValue(KchildlockSettings::app2fromhr_u1());
usergroup->kcfg_App2frommin->setValue(KchildlockSettings::app2frommin_u1());
usergroup->kcfg_App2tohr->setValue(KchildlockSettings::app2tohr_u1());
usergroup->kcfg_App2tomin->setValue(KchildlockSettings::app2tomin_u1());
usergroup->kcfg_App2maxDhr->setValue(KchildlockSettings::app2maxDhr_u1());
usergroup->kcfg_App2maxDmin->setValue(KchildlockSettings::app2maxDmin_u1());
usergroup->kcfg_App2maxWhr->setValue(KchildlockSettings::app2maxWhr_u1());
usergroup->kcfg_App2maxWmin->setValue(KchildlockSettings::app2maxWmin_u1());

usergroup->kcfg_AppName3->setText(KchildlockSettings::appName3_u1());
usergroup->kcfg_App3fromhr->setValue(KchildlockSettings::app3fromhr_u1());
usergroup->kcfg_App3frommin->setValue(KchildlockSettings::app3frommin_u1());
usergroup->kcfg_App3tohr->setValue(KchildlockSettings::app3tohr_u1());
usergroup->kcfg_App3tomin->setValue(KchildlockSettings::app3tomin_u1());
usergroup->kcfg_App3maxDhr->setValue(KchildlockSettings::app3maxDhr_u1());
usergroup->kcfg_App3maxDmin->setValue(KchildlockSettings::app3maxDmin_u1());
usergroup->kcfg_App3maxWhr->setValue(KchildlockSettings::app3maxWhr_u1());
usergroup->kcfg_App3maxWmin->setValue(KchildlockSettings::app3maxWmin_u1());
}

void KchildlockConf::fillValuesInGui_u2(Ui_userPage *usergroup)
{
usergroup->kcfg_enabled->setChecked(KchildlockSettings::enabled_u2());
usergroup->kcfg_DAYfromhr->setValue(KchildlockSettings::dAYfromhr_u2());
usergroup->kcfg_DAYfrommin->setValue(KchildlockSettings::dAYfrommin_u2());
usergroup->kcfg_DAYtohr->setValue(KchildlockSettings::dAYtohr_u2());
usergroup->kcfg_DAYtomin->setValue(KchildlockSettings::dAYtomin_u2());
usergroup->kcfg_DAYmaxhr->setValue(KchildlockSettings::dAYmaxhr_u2());
usergroup->kcfg_DAYmaxmin->setValue(KchildlockSettings::dAYmaxmin_u2());

usergroup->kcfg_MONenabled->setChecked(KchildlockSettings::mONenabled_u2());
usergroup->kcfg_MONfromhr->setValue(KchildlockSettings::mONfromhr_u2());
usergroup->kcfg_MONfrommin->setValue(KchildlockSettings::mONfrommin_u2());
usergroup->kcfg_MONtohr->setValue(KchildlockSettings::mONtohr_u2());
usergroup->kcfg_MONtomin->setValue(KchildlockSettings::mONtomin_u2());
usergroup->kcfg_MONmaxhr->setValue(KchildlockSettings::mONmaxhr_u2());
usergroup->kcfg_MONmaxmin->setValue(KchildlockSettings::mONmaxmin_u2());

usergroup->kcfg_TUEenabled->setChecked(KchildlockSettings::tUEenabled_u2());
usergroup->kcfg_TUEfromhr->setValue(KchildlockSettings::tUEfromhr_u2());
usergroup->kcfg_TUEfrommin->setValue(KchildlockSettings::tUEfrommin_u2());
usergroup->kcfg_TUEtohr->setValue(KchildlockSettings::tUEtohr_u2());
usergroup->kcfg_TUEtomin->setValue(KchildlockSettings::tUEtomin_u2());
usergroup->kcfg_TUEmaxhr->setValue(KchildlockSettings::tUEmaxhr_u2());
usergroup->kcfg_TUEmaxmin->setValue(KchildlockSettings::tUEmaxmin_u2());

usergroup->kcfg_WEDenabled->setChecked(KchildlockSettings::wEDenabled_u2());
usergroup->kcfg_WEDfromhr->setValue(KchildlockSettings::wEDfromhr_u2());
usergroup->kcfg_WEDfrommin->setValue(KchildlockSettings::wEDfrommin_u2());
usergroup->kcfg_WEDtohr->setValue(KchildlockSettings::wEDtohr_u2());
usergroup->kcfg_WEDtomin->setValue(KchildlockSettings::wEDtomin_u2());
usergroup->kcfg_WEDmaxhr->setValue(KchildlockSettings::wEDmaxhr_u2());
usergroup->kcfg_WEDmaxmin->setValue(KchildlockSettings::wEDmaxmin_u2());

usergroup->kcfg_THUenabled->setChecked(KchildlockSettings::tHUenabled_u2());
usergroup->kcfg_THUfromhr->setValue(KchildlockSettings::tHUfromhr_u2());
usergroup->kcfg_THUfrommin->setValue(KchildlockSettings::tHUfrommin_u2());
usergroup->kcfg_THUtohr->setValue(KchildlockSettings::tHUtohr_u2());
usergroup->kcfg_THUtomin->setValue(KchildlockSettings::tHUtomin_u2());
usergroup->kcfg_THUmaxhr->setValue(KchildlockSettings::tHUmaxhr_u2());
usergroup->kcfg_THUmaxmin->setValue(KchildlockSettings::tHUmaxmin_u2());

usergroup->kcfg_FRIenabled->setChecked(KchildlockSettings::fRIenabled_u2());
usergroup->kcfg_FRIfromhr->setValue(KchildlockSettings::fRIfromhr_u2());
usergroup->kcfg_FRIfrommin->setValue(KchildlockSettings::fRIfrommin_u2());
usergroup->kcfg_FRItohr->setValue(KchildlockSettings::fRItohr_u2());
usergroup->kcfg_FRItomin->setValue(KchildlockSettings::fRItomin_u2());
usergroup->kcfg_FRImaxhr->setValue(KchildlockSettings::fRImaxhr_u2());
usergroup->kcfg_FRImaxmin->setValue(KchildlockSettings::fRImaxmin_u2());

usergroup->kcfg_SATenabled->setChecked(KchildlockSettings::sATenabled_u2());
usergroup->kcfg_SATfromhr->setValue(KchildlockSettings::sATfromhr_u2());
usergroup->kcfg_SATfrommin->setValue(KchildlockSettings::sATfrommin_u2());
usergroup->kcfg_SATtohr->setValue(KchildlockSettings::sATtohr_u2());
usergroup->kcfg_SATtomin->setValue(KchildlockSettings::sATtomin_u2());
usergroup->kcfg_SATmaxhr->setValue(KchildlockSettings::sATmaxhr_u2());
usergroup->kcfg_SATmaxmin->setValue(KchildlockSettings::sATmaxmin_u2());

usergroup->kcfg_SUNenabled->setChecked(KchildlockSettings::sUNenabled_u2());
usergroup->kcfg_SUNfromhr->setValue(KchildlockSettings::sUNfromhr_u2());
usergroup->kcfg_SUNfrommin->setValue(KchildlockSettings::sUNfrommin_u2());
usergroup->kcfg_SUNtohr->setValue(KchildlockSettings::sUNtohr_u2());
usergroup->kcfg_SUNtomin->setValue(KchildlockSettings::sUNtomin_u2());
usergroup->kcfg_SUNmaxhr->setValue(KchildlockSettings::sUNmaxhr_u2());
usergroup->kcfg_SUNmaxmin->setValue(KchildlockSettings::sUNmaxmin_u2());

usergroup->kcfg_WEEKenabled->setChecked(KchildlockSettings::wEEKenabled_u2());
usergroup->kcfg_WEEKmaxhr->setValue(KchildlockSettings::wEEKmaxhr_u2());
usergroup->kcfg_WEEKmaxmin->setValue(KchildlockSettings::wEEKmaxmin_u2());

usergroup->kcfg_AppName1->setText(KchildlockSettings::appName1_u2());
usergroup->kcfg_App1fromhr->setValue(KchildlockSettings::app1fromhr_u2());
usergroup->kcfg_App1frommin->setValue(KchildlockSettings::app1frommin_u2());
usergroup->kcfg_App1tohr->setValue(KchildlockSettings::app1tohr_u2());
usergroup->kcfg_App1tomin->setValue(KchildlockSettings::app1tomin_u2());
usergroup->kcfg_App1maxDhr->setValue(KchildlockSettings::app1maxDhr_u2());
usergroup->kcfg_App1maxDmin->setValue(KchildlockSettings::app1maxDmin_u2());
usergroup->kcfg_App1maxWhr->setValue(KchildlockSettings::app1maxWhr_u2());
usergroup->kcfg_App1maxWmin->setValue(KchildlockSettings::app1maxWmin_u2());

usergroup->kcfg_AppName2->setText(KchildlockSettings::appName2_u2());
usergroup->kcfg_App2fromhr->setValue(KchildlockSettings::app2fromhr_u2());
usergroup->kcfg_App2frommin->setValue(KchildlockSettings::app2frommin_u2());
usergroup->kcfg_App2tohr->setValue(KchildlockSettings::app2tohr_u2());
usergroup->kcfg_App2tomin->setValue(KchildlockSettings::app2tomin_u2());
usergroup->kcfg_App2maxDhr->setValue(KchildlockSettings::app2maxDhr_u2());
usergroup->kcfg_App2maxDmin->setValue(KchildlockSettings::app2maxDmin_u2());
usergroup->kcfg_App2maxWhr->setValue(KchildlockSettings::app2maxWhr_u2());
usergroup->kcfg_App2maxWmin->setValue(KchildlockSettings::app2maxWmin_u2());

usergroup->kcfg_AppName3->setText(KchildlockSettings::appName3_u2());
usergroup->kcfg_App3fromhr->setValue(KchildlockSettings::app3fromhr_u2());
usergroup->kcfg_App3frommin->setValue(KchildlockSettings::app3frommin_u2());
usergroup->kcfg_App3tohr->setValue(KchildlockSettings::app3tohr_u2());
usergroup->kcfg_App3tomin->setValue(KchildlockSettings::app3tomin_u2());
usergroup->kcfg_App3maxDhr->setValue(KchildlockSettings::app3maxDhr_u2());
usergroup->kcfg_App3maxDmin->setValue(KchildlockSettings::app3maxDmin_u2());
usergroup->kcfg_App3maxWhr->setValue(KchildlockSettings::app3maxWhr_u2());
usergroup->kcfg_App3maxWmin->setValue(KchildlockSettings::app3maxWmin_u2());
}

void KchildlockConf::fillValuesInGui_u3(Ui_userPage *usergroup)
{
usergroup->kcfg_enabled->setChecked(KchildlockSettings::enabled_u3());
usergroup->kcfg_DAYfromhr->setValue(KchildlockSettings::dAYfromhr_u3());
usergroup->kcfg_DAYfrommin->setValue(KchildlockSettings::dAYfrommin_u3());
usergroup->kcfg_DAYtohr->setValue(KchildlockSettings::dAYtohr_u3());
usergroup->kcfg_DAYtomin->setValue(KchildlockSettings::dAYtomin_u3());
usergroup->kcfg_DAYmaxhr->setValue(KchildlockSettings::dAYmaxhr_u3());
usergroup->kcfg_DAYmaxmin->setValue(KchildlockSettings::dAYmaxmin_u3());

usergroup->kcfg_MONenabled->setChecked(KchildlockSettings::mONenabled_u3());
usergroup->kcfg_MONfromhr->setValue(KchildlockSettings::mONfromhr_u3());
usergroup->kcfg_MONfrommin->setValue(KchildlockSettings::mONfrommin_u3());
usergroup->kcfg_MONtohr->setValue(KchildlockSettings::mONtohr_u3());
usergroup->kcfg_MONtomin->setValue(KchildlockSettings::mONtomin_u3());
usergroup->kcfg_MONmaxhr->setValue(KchildlockSettings::mONmaxhr_u3());
usergroup->kcfg_MONmaxmin->setValue(KchildlockSettings::mONmaxmin_u3());

usergroup->kcfg_TUEenabled->setChecked(KchildlockSettings::tUEenabled_u3());
usergroup->kcfg_TUEfromhr->setValue(KchildlockSettings::tUEfromhr_u3());
usergroup->kcfg_TUEfrommin->setValue(KchildlockSettings::tUEfrommin_u3());
usergroup->kcfg_TUEtohr->setValue(KchildlockSettings::tUEtohr_u3());
usergroup->kcfg_TUEtomin->setValue(KchildlockSettings::tUEtomin_u3());
usergroup->kcfg_TUEmaxhr->setValue(KchildlockSettings::tUEmaxhr_u3());
usergroup->kcfg_TUEmaxmin->setValue(KchildlockSettings::tUEmaxmin_u3());

usergroup->kcfg_WEDenabled->setChecked(KchildlockSettings::wEDenabled_u3());
usergroup->kcfg_WEDfromhr->setValue(KchildlockSettings::wEDfromhr_u3());
usergroup->kcfg_WEDfrommin->setValue(KchildlockSettings::wEDfrommin_u3());
usergroup->kcfg_WEDtohr->setValue(KchildlockSettings::wEDtohr_u3());
usergroup->kcfg_WEDtomin->setValue(KchildlockSettings::wEDtomin_u3());
usergroup->kcfg_WEDmaxhr->setValue(KchildlockSettings::wEDmaxhr_u3());
usergroup->kcfg_WEDmaxmin->setValue(KchildlockSettings::wEDmaxmin_u3());

usergroup->kcfg_THUenabled->setChecked(KchildlockSettings::tHUenabled_u3());
usergroup->kcfg_THUfromhr->setValue(KchildlockSettings::tHUfromhr_u3());
usergroup->kcfg_THUfrommin->setValue(KchildlockSettings::tHUfrommin_u3());
usergroup->kcfg_THUtohr->setValue(KchildlockSettings::tHUtohr_u3());
usergroup->kcfg_THUtomin->setValue(KchildlockSettings::tHUtomin_u3());
usergroup->kcfg_THUmaxhr->setValue(KchildlockSettings::tHUmaxhr_u3());
usergroup->kcfg_THUmaxmin->setValue(KchildlockSettings::tHUmaxmin_u3());

usergroup->kcfg_FRIenabled->setChecked(KchildlockSettings::fRIenabled_u3());
usergroup->kcfg_FRIfromhr->setValue(KchildlockSettings::fRIfromhr_u3());
usergroup->kcfg_FRIfrommin->setValue(KchildlockSettings::fRIfrommin_u3());
usergroup->kcfg_FRItohr->setValue(KchildlockSettings::fRItohr_u3());
usergroup->kcfg_FRItomin->setValue(KchildlockSettings::fRItomin_u3());
usergroup->kcfg_FRImaxhr->setValue(KchildlockSettings::fRImaxhr_u3());
usergroup->kcfg_FRImaxmin->setValue(KchildlockSettings::fRImaxmin_u3());

usergroup->kcfg_SATenabled->setChecked(KchildlockSettings::sATenabled_u3());
usergroup->kcfg_SATfromhr->setValue(KchildlockSettings::sATfromhr_u3());
usergroup->kcfg_SATfrommin->setValue(KchildlockSettings::sATfrommin_u3());
usergroup->kcfg_SATtohr->setValue(KchildlockSettings::sATtohr_u3());
usergroup->kcfg_SATtomin->setValue(KchildlockSettings::sATtomin_u3());
usergroup->kcfg_SATmaxhr->setValue(KchildlockSettings::sATmaxhr_u3());
usergroup->kcfg_SATmaxmin->setValue(KchildlockSettings::sATmaxmin_u3());

usergroup->kcfg_SUNenabled->setChecked(KchildlockSettings::sUNenabled_u3());
usergroup->kcfg_SUNfromhr->setValue(KchildlockSettings::sUNfromhr_u3());
usergroup->kcfg_SUNfrommin->setValue(KchildlockSettings::sUNfrommin_u3());
usergroup->kcfg_SUNtohr->setValue(KchildlockSettings::sUNtohr_u3());
usergroup->kcfg_SUNtomin->setValue(KchildlockSettings::sUNtomin_u3());
usergroup->kcfg_SUNmaxhr->setValue(KchildlockSettings::sUNmaxhr_u3());
usergroup->kcfg_SUNmaxmin->setValue(KchildlockSettings::sUNmaxmin_u3());

usergroup->kcfg_WEEKenabled->setChecked(KchildlockSettings::wEEKenabled_u3());
usergroup->kcfg_WEEKmaxhr->setValue(KchildlockSettings::wEEKmaxhr_u3());
usergroup->kcfg_WEEKmaxmin->setValue(KchildlockSettings::wEEKmaxmin_u3());

usergroup->kcfg_AppName1->setText(KchildlockSettings::appName1_u3());
usergroup->kcfg_App1fromhr->setValue(KchildlockSettings::app1fromhr_u3());
usergroup->kcfg_App1frommin->setValue(KchildlockSettings::app1frommin_u3());
usergroup->kcfg_App1tohr->setValue(KchildlockSettings::app1tohr_u3());
usergroup->kcfg_App1tomin->setValue(KchildlockSettings::app1tomin_u3());
usergroup->kcfg_App1maxDhr->setValue(KchildlockSettings::app1maxDhr_u3());
usergroup->kcfg_App1maxDmin->setValue(KchildlockSettings::app1maxDmin_u3());
usergroup->kcfg_App1maxWhr->setValue(KchildlockSettings::app1maxWhr_u3());
usergroup->kcfg_App1maxWmin->setValue(KchildlockSettings::app1maxWmin_u3());

usergroup->kcfg_AppName2->setText(KchildlockSettings::appName2_u3());
usergroup->kcfg_App2fromhr->setValue(KchildlockSettings::app2fromhr_u3());
usergroup->kcfg_App2frommin->setValue(KchildlockSettings::app2frommin_u3());
usergroup->kcfg_App2tohr->setValue(KchildlockSettings::app2tohr_u3());
usergroup->kcfg_App2tomin->setValue(KchildlockSettings::app2tomin_u3());
usergroup->kcfg_App2maxDhr->setValue(KchildlockSettings::app2maxDhr_u3());
usergroup->kcfg_App2maxDmin->setValue(KchildlockSettings::app2maxDmin_u3());
usergroup->kcfg_App2maxWhr->setValue(KchildlockSettings::app2maxWhr_u3());
usergroup->kcfg_App2maxWmin->setValue(KchildlockSettings::app2maxWmin_u3());

usergroup->kcfg_AppName3->setText(KchildlockSettings::appName3_u3());
usergroup->kcfg_App3fromhr->setValue(KchildlockSettings::app3fromhr_u3());
usergroup->kcfg_App3frommin->setValue(KchildlockSettings::app3frommin_u3());
usergroup->kcfg_App3tohr->setValue(KchildlockSettings::app3tohr_u3());
usergroup->kcfg_App3tomin->setValue(KchildlockSettings::app3tomin_u3());
usergroup->kcfg_App3maxDhr->setValue(KchildlockSettings::app3maxDhr_u3());
usergroup->kcfg_App3maxDmin->setValue(KchildlockSettings::app3maxDmin_u3());
usergroup->kcfg_App3maxWhr->setValue(KchildlockSettings::app3maxWhr_u3());
usergroup->kcfg_App3maxWmin->setValue(KchildlockSettings::app3maxWmin_u3());
}

void KchildlockConf::fillValuesInGui_u4(Ui_userPage *usergroup)
{
usergroup->kcfg_enabled->setChecked(KchildlockSettings::enabled_u4());
usergroup->kcfg_DAYfromhr->setValue(KchildlockSettings::dAYfromhr_u4());
usergroup->kcfg_DAYfrommin->setValue(KchildlockSettings::dAYfrommin_u4());
usergroup->kcfg_DAYtohr->setValue(KchildlockSettings::dAYtohr_u4());
usergroup->kcfg_DAYtomin->setValue(KchildlockSettings::dAYtomin_u4());
usergroup->kcfg_DAYmaxhr->setValue(KchildlockSettings::dAYmaxhr_u4());
usergroup->kcfg_DAYmaxmin->setValue(KchildlockSettings::dAYmaxmin_u4());

usergroup->kcfg_MONenabled->setChecked(KchildlockSettings::mONenabled_u4());
usergroup->kcfg_MONfromhr->setValue(KchildlockSettings::mONfromhr_u4());
usergroup->kcfg_MONfrommin->setValue(KchildlockSettings::mONfrommin_u4());
usergroup->kcfg_MONtohr->setValue(KchildlockSettings::mONtohr_u4());
usergroup->kcfg_MONtomin->setValue(KchildlockSettings::mONtomin_u4());
usergroup->kcfg_MONmaxhr->setValue(KchildlockSettings::mONmaxhr_u4());
usergroup->kcfg_MONmaxmin->setValue(KchildlockSettings::mONmaxmin_u4());

usergroup->kcfg_TUEenabled->setChecked(KchildlockSettings::tUEenabled_u4());
usergroup->kcfg_TUEfromhr->setValue(KchildlockSettings::tUEfromhr_u4());
usergroup->kcfg_TUEfrommin->setValue(KchildlockSettings::tUEfrommin_u4());
usergroup->kcfg_TUEtohr->setValue(KchildlockSettings::tUEtohr_u4());
usergroup->kcfg_TUEtomin->setValue(KchildlockSettings::tUEtomin_u4());
usergroup->kcfg_TUEmaxhr->setValue(KchildlockSettings::tUEmaxhr_u4());
usergroup->kcfg_TUEmaxmin->setValue(KchildlockSettings::tUEmaxmin_u4());

usergroup->kcfg_WEDenabled->setChecked(KchildlockSettings::wEDenabled_u4());
usergroup->kcfg_WEDfromhr->setValue(KchildlockSettings::wEDfromhr_u4());
usergroup->kcfg_WEDfrommin->setValue(KchildlockSettings::wEDfrommin_u4());
usergroup->kcfg_WEDtohr->setValue(KchildlockSettings::wEDtohr_u4());
usergroup->kcfg_WEDtomin->setValue(KchildlockSettings::wEDtomin_u4());
usergroup->kcfg_WEDmaxhr->setValue(KchildlockSettings::wEDmaxhr_u4());
usergroup->kcfg_WEDmaxmin->setValue(KchildlockSettings::wEDmaxmin_u4());

usergroup->kcfg_THUenabled->setChecked(KchildlockSettings::tHUenabled_u4());
usergroup->kcfg_THUfromhr->setValue(KchildlockSettings::tHUfromhr_u4());
usergroup->kcfg_THUfrommin->setValue(KchildlockSettings::tHUfrommin_u4());
usergroup->kcfg_THUtohr->setValue(KchildlockSettings::tHUtohr_u4());
usergroup->kcfg_THUtomin->setValue(KchildlockSettings::tHUtomin_u4());
usergroup->kcfg_THUmaxhr->setValue(KchildlockSettings::tHUmaxhr_u4());
usergroup->kcfg_THUmaxmin->setValue(KchildlockSettings::tHUmaxmin_u4());

usergroup->kcfg_FRIenabled->setChecked(KchildlockSettings::fRIenabled_u4());
usergroup->kcfg_FRIfromhr->setValue(KchildlockSettings::fRIfromhr_u4());
usergroup->kcfg_FRIfrommin->setValue(KchildlockSettings::fRIfrommin_u4());
usergroup->kcfg_FRItohr->setValue(KchildlockSettings::fRItohr_u4());
usergroup->kcfg_FRItomin->setValue(KchildlockSettings::fRItomin_u4());
usergroup->kcfg_FRImaxhr->setValue(KchildlockSettings::fRImaxhr_u4());
usergroup->kcfg_FRImaxmin->setValue(KchildlockSettings::fRImaxmin_u4());

usergroup->kcfg_SATenabled->setChecked(KchildlockSettings::sATenabled_u4());
usergroup->kcfg_SATfromhr->setValue(KchildlockSettings::sATfromhr_u4());
usergroup->kcfg_SATfrommin->setValue(KchildlockSettings::sATfrommin_u4());
usergroup->kcfg_SATtohr->setValue(KchildlockSettings::sATtohr_u4());
usergroup->kcfg_SATtomin->setValue(KchildlockSettings::sATtomin_u4());
usergroup->kcfg_SATmaxhr->setValue(KchildlockSettings::sATmaxhr_u4());
usergroup->kcfg_SATmaxmin->setValue(KchildlockSettings::sATmaxmin_u4());

usergroup->kcfg_SUNenabled->setChecked(KchildlockSettings::sUNenabled_u4());
usergroup->kcfg_SUNfromhr->setValue(KchildlockSettings::sUNfromhr_u4());
usergroup->kcfg_SUNfrommin->setValue(KchildlockSettings::sUNfrommin_u4());
usergroup->kcfg_SUNtohr->setValue(KchildlockSettings::sUNtohr_u4());
usergroup->kcfg_SUNtomin->setValue(KchildlockSettings::sUNtomin_u4());
usergroup->kcfg_SUNmaxhr->setValue(KchildlockSettings::sUNmaxhr_u4());
usergroup->kcfg_SUNmaxmin->setValue(KchildlockSettings::sUNmaxmin_u4());

usergroup->kcfg_WEEKenabled->setChecked(KchildlockSettings::wEEKenabled_u4());
usergroup->kcfg_WEEKmaxhr->setValue(KchildlockSettings::wEEKmaxhr_u4());
usergroup->kcfg_WEEKmaxmin->setValue(KchildlockSettings::wEEKmaxmin_u4());

usergroup->kcfg_AppName1->setText(KchildlockSettings::appName1_u4());
usergroup->kcfg_App1fromhr->setValue(KchildlockSettings::app1fromhr_u4());
usergroup->kcfg_App1frommin->setValue(KchildlockSettings::app1frommin_u4());
usergroup->kcfg_App1tohr->setValue(KchildlockSettings::app1tohr_u4());
usergroup->kcfg_App1tomin->setValue(KchildlockSettings::app1tomin_u4());
usergroup->kcfg_App1maxDhr->setValue(KchildlockSettings::app1maxDhr_u4());
usergroup->kcfg_App1maxDmin->setValue(KchildlockSettings::app1maxDmin_u4());
usergroup->kcfg_App1maxWhr->setValue(KchildlockSettings::app1maxWhr_u4());
usergroup->kcfg_App1maxWmin->setValue(KchildlockSettings::app1maxWmin_u4());

usergroup->kcfg_AppName2->setText(KchildlockSettings::appName2_u4());
usergroup->kcfg_App2fromhr->setValue(KchildlockSettings::app2fromhr_u4());
usergroup->kcfg_App2frommin->setValue(KchildlockSettings::app2frommin_u4());
usergroup->kcfg_App2tohr->setValue(KchildlockSettings::app2tohr_u4());
usergroup->kcfg_App2tomin->setValue(KchildlockSettings::app2tomin_u4());
usergroup->kcfg_App2maxDhr->setValue(KchildlockSettings::app2maxDhr_u4());
usergroup->kcfg_App2maxDmin->setValue(KchildlockSettings::app2maxDmin_u4());
usergroup->kcfg_App2maxWhr->setValue(KchildlockSettings::app2maxWhr_u4());
usergroup->kcfg_App2maxWmin->setValue(KchildlockSettings::app2maxWmin_u4());

usergroup->kcfg_AppName3->setText(KchildlockSettings::appName3_u4());
usergroup->kcfg_App3fromhr->setValue(KchildlockSettings::app3fromhr_u4());
usergroup->kcfg_App3frommin->setValue(KchildlockSettings::app3frommin_u4());
usergroup->kcfg_App3tohr->setValue(KchildlockSettings::app3tohr_u4());
usergroup->kcfg_App3tomin->setValue(KchildlockSettings::app3tomin_u4());
usergroup->kcfg_App3maxDhr->setValue(KchildlockSettings::app3maxDhr_u4());
usergroup->kcfg_App3maxDmin->setValue(KchildlockSettings::app3maxDmin_u4());
usergroup->kcfg_App3maxWhr->setValue(KchildlockSettings::app3maxWhr_u4());
usergroup->kcfg_App3maxWmin->setValue(KchildlockSettings::app3maxWmin_u4());
}

void KchildlockConf::fillValuesInGui_u5(Ui_userPage *usergroup)
{
usergroup->kcfg_enabled->setChecked(KchildlockSettings::enabled_u5());
usergroup->kcfg_DAYfromhr->setValue(KchildlockSettings::dAYfromhr_u5());
usergroup->kcfg_DAYfrommin->setValue(KchildlockSettings::dAYfrommin_u5());
usergroup->kcfg_DAYtohr->setValue(KchildlockSettings::dAYtohr_u5());
usergroup->kcfg_DAYtomin->setValue(KchildlockSettings::dAYtomin_u5());
usergroup->kcfg_DAYmaxhr->setValue(KchildlockSettings::dAYmaxhr_u5());
usergroup->kcfg_DAYmaxmin->setValue(KchildlockSettings::dAYmaxmin_u5());

usergroup->kcfg_MONenabled->setChecked(KchildlockSettings::mONenabled_u5());
usergroup->kcfg_MONfromhr->setValue(KchildlockSettings::mONfromhr_u5());
usergroup->kcfg_MONfrommin->setValue(KchildlockSettings::mONfrommin_u5());
usergroup->kcfg_MONtohr->setValue(KchildlockSettings::mONtohr_u5());
usergroup->kcfg_MONtomin->setValue(KchildlockSettings::mONtomin_u5());
usergroup->kcfg_MONmaxhr->setValue(KchildlockSettings::mONmaxhr_u5());
usergroup->kcfg_MONmaxmin->setValue(KchildlockSettings::mONmaxmin_u5());

usergroup->kcfg_TUEenabled->setChecked(KchildlockSettings::tUEenabled_u5());
usergroup->kcfg_TUEfromhr->setValue(KchildlockSettings::tUEfromhr_u5());
usergroup->kcfg_TUEfrommin->setValue(KchildlockSettings::tUEfrommin_u5());
usergroup->kcfg_TUEtohr->setValue(KchildlockSettings::tUEtohr_u5());
usergroup->kcfg_TUEtomin->setValue(KchildlockSettings::tUEtomin_u5());
usergroup->kcfg_TUEmaxhr->setValue(KchildlockSettings::tUEmaxhr_u5());
usergroup->kcfg_TUEmaxmin->setValue(KchildlockSettings::tUEmaxmin_u5());

usergroup->kcfg_WEDenabled->setChecked(KchildlockSettings::wEDenabled_u5());
usergroup->kcfg_WEDfromhr->setValue(KchildlockSettings::wEDfromhr_u5());
usergroup->kcfg_WEDfrommin->setValue(KchildlockSettings::wEDfrommin_u5());
usergroup->kcfg_WEDtohr->setValue(KchildlockSettings::wEDtohr_u5());
usergroup->kcfg_WEDtomin->setValue(KchildlockSettings::wEDtomin_u5());
usergroup->kcfg_WEDmaxhr->setValue(KchildlockSettings::wEDmaxhr_u5());
usergroup->kcfg_WEDmaxmin->setValue(KchildlockSettings::wEDmaxmin_u5());

usergroup->kcfg_THUenabled->setChecked(KchildlockSettings::tHUenabled_u5());
usergroup->kcfg_THUfromhr->setValue(KchildlockSettings::tHUfromhr_u5());
usergroup->kcfg_THUfrommin->setValue(KchildlockSettings::tHUfrommin_u5());
usergroup->kcfg_THUtohr->setValue(KchildlockSettings::tHUtohr_u5());
usergroup->kcfg_THUtomin->setValue(KchildlockSettings::tHUtomin_u5());
usergroup->kcfg_THUmaxhr->setValue(KchildlockSettings::tHUmaxhr_u5());
usergroup->kcfg_THUmaxmin->setValue(KchildlockSettings::tHUmaxmin_u5());

usergroup->kcfg_FRIenabled->setChecked(KchildlockSettings::fRIenabled_u5());
usergroup->kcfg_FRIfromhr->setValue(KchildlockSettings::fRIfromhr_u5());
usergroup->kcfg_FRIfrommin->setValue(KchildlockSettings::fRIfrommin_u5());
usergroup->kcfg_FRItohr->setValue(KchildlockSettings::fRItohr_u5());
usergroup->kcfg_FRItomin->setValue(KchildlockSettings::fRItomin_u5());
usergroup->kcfg_FRImaxhr->setValue(KchildlockSettings::fRImaxhr_u5());
usergroup->kcfg_FRImaxmin->setValue(KchildlockSettings::fRImaxmin_u5());

usergroup->kcfg_SATenabled->setChecked(KchildlockSettings::sATenabled_u5());
usergroup->kcfg_SATfromhr->setValue(KchildlockSettings::sATfromhr_u5());
usergroup->kcfg_SATfrommin->setValue(KchildlockSettings::sATfrommin_u5());
usergroup->kcfg_SATtohr->setValue(KchildlockSettings::sATtohr_u5());
usergroup->kcfg_SATtomin->setValue(KchildlockSettings::sATtomin_u5());
usergroup->kcfg_SATmaxhr->setValue(KchildlockSettings::sATmaxhr_u5());
usergroup->kcfg_SATmaxmin->setValue(KchildlockSettings::sATmaxmin_u5());

usergroup->kcfg_SUNenabled->setChecked(KchildlockSettings::sUNenabled_u5());
usergroup->kcfg_SUNfromhr->setValue(KchildlockSettings::sUNfromhr_u5());
usergroup->kcfg_SUNfrommin->setValue(KchildlockSettings::sUNfrommin_u5());
usergroup->kcfg_SUNtohr->setValue(KchildlockSettings::sUNtohr_u5());
usergroup->kcfg_SUNtomin->setValue(KchildlockSettings::sUNtomin_u5());
usergroup->kcfg_SUNmaxhr->setValue(KchildlockSettings::sUNmaxhr_u5());
usergroup->kcfg_SUNmaxmin->setValue(KchildlockSettings::sUNmaxmin_u5());

usergroup->kcfg_WEEKenabled->setChecked(KchildlockSettings::wEEKenabled_u5());
usergroup->kcfg_WEEKmaxhr->setValue(KchildlockSettings::wEEKmaxhr_u5());
usergroup->kcfg_WEEKmaxmin->setValue(KchildlockSettings::wEEKmaxmin_u5());

usergroup->kcfg_AppName1->setText(KchildlockSettings::appName1_u5());
usergroup->kcfg_App1fromhr->setValue(KchildlockSettings::app1fromhr_u5());
usergroup->kcfg_App1frommin->setValue(KchildlockSettings::app1frommin_u5());
usergroup->kcfg_App1tohr->setValue(KchildlockSettings::app1tohr_u5());
usergroup->kcfg_App1tomin->setValue(KchildlockSettings::app1tomin_u5());
usergroup->kcfg_App1maxDhr->setValue(KchildlockSettings::app1maxDhr_u5());
usergroup->kcfg_App1maxDmin->setValue(KchildlockSettings::app1maxDmin_u5());
usergroup->kcfg_App1maxWhr->setValue(KchildlockSettings::app1maxWhr_u5());
usergroup->kcfg_App1maxWmin->setValue(KchildlockSettings::app1maxWmin_u5());

usergroup->kcfg_AppName2->setText(KchildlockSettings::appName2_u5());
usergroup->kcfg_App2fromhr->setValue(KchildlockSettings::app2fromhr_u5());
usergroup->kcfg_App2frommin->setValue(KchildlockSettings::app2frommin_u5());
usergroup->kcfg_App2tohr->setValue(KchildlockSettings::app2tohr_u5());
usergroup->kcfg_App2tomin->setValue(KchildlockSettings::app2tomin_u5());
usergroup->kcfg_App2maxDhr->setValue(KchildlockSettings::app2maxDhr_u5());
usergroup->kcfg_App2maxDmin->setValue(KchildlockSettings::app2maxDmin_u5());
usergroup->kcfg_App2maxWhr->setValue(KchildlockSettings::app2maxWhr_u5());
usergroup->kcfg_App2maxWmin->setValue(KchildlockSettings::app2maxWmin_u5());

usergroup->kcfg_AppName3->setText(KchildlockSettings::appName3_u5());
usergroup->kcfg_App3fromhr->setValue(KchildlockSettings::app3fromhr_u5());
usergroup->kcfg_App3frommin->setValue(KchildlockSettings::app3frommin_u5());
usergroup->kcfg_App3tohr->setValue(KchildlockSettings::app3tohr_u5());
usergroup->kcfg_App3tomin->setValue(KchildlockSettings::app3tomin_u5());
usergroup->kcfg_App3maxDhr->setValue(KchildlockSettings::app3maxDhr_u5());
usergroup->kcfg_App3maxDmin->setValue(KchildlockSettings::app3maxDmin_u5());
usergroup->kcfg_App3maxWhr->setValue(KchildlockSettings::app3maxWhr_u5());
usergroup->kcfg_App3maxWmin->setValue(KchildlockSettings::app3maxWmin_u5());
}

void KchildlockConf::fillValuesInGui_g1(Ui_groupPage *usergroup)
{
usergroup->kcfg_enabled->setChecked(KchildlockSettings::enabled_g1());
usergroup->kcfg_DAYfromhr->setValue(KchildlockSettings::dAYfromhr_g1());
usergroup->kcfg_DAYfrommin->setValue(KchildlockSettings::dAYfrommin_g1());
usergroup->kcfg_DAYtohr->setValue(KchildlockSettings::dAYtohr_g1());
usergroup->kcfg_DAYtomin->setValue(KchildlockSettings::dAYtomin_g1());
usergroup->kcfg_DAYmaxhr->setValue(KchildlockSettings::dAYmaxhr_g1());
usergroup->kcfg_DAYmaxmin->setValue(KchildlockSettings::dAYmaxmin_g1());

usergroup->kcfg_MONenabled->setChecked(KchildlockSettings::mONenabled_g1());
usergroup->kcfg_MONfromhr->setValue(KchildlockSettings::mONfromhr_g1());
usergroup->kcfg_MONfrommin->setValue(KchildlockSettings::mONfrommin_g1());
usergroup->kcfg_MONtohr->setValue(KchildlockSettings::mONtohr_g1());
usergroup->kcfg_MONtomin->setValue(KchildlockSettings::mONtomin_g1());
usergroup->kcfg_MONmaxhr->setValue(KchildlockSettings::mONmaxhr_g1());
usergroup->kcfg_MONmaxmin->setValue(KchildlockSettings::mONmaxmin_g1());

usergroup->kcfg_TUEenabled->setChecked(KchildlockSettings::tUEenabled_g1());
usergroup->kcfg_TUEfromhr->setValue(KchildlockSettings::tUEfromhr_g1());
usergroup->kcfg_TUEfrommin->setValue(KchildlockSettings::tUEfrommin_g1());
usergroup->kcfg_TUEtohr->setValue(KchildlockSettings::tUEtohr_g1());
usergroup->kcfg_TUEtomin->setValue(KchildlockSettings::tUEtomin_g1());
usergroup->kcfg_TUEmaxhr->setValue(KchildlockSettings::tUEmaxhr_g1());
usergroup->kcfg_TUEmaxmin->setValue(KchildlockSettings::tUEmaxmin_g1());

usergroup->kcfg_WEDenabled->setChecked(KchildlockSettings::wEDenabled_g1());
usergroup->kcfg_WEDfromhr->setValue(KchildlockSettings::wEDfromhr_g1());
usergroup->kcfg_WEDfrommin->setValue(KchildlockSettings::wEDfrommin_g1());
usergroup->kcfg_WEDtohr->setValue(KchildlockSettings::wEDtohr_g1());
usergroup->kcfg_WEDtomin->setValue(KchildlockSettings::wEDtomin_g1());
usergroup->kcfg_WEDmaxhr->setValue(KchildlockSettings::wEDmaxhr_g1());
usergroup->kcfg_WEDmaxmin->setValue(KchildlockSettings::wEDmaxmin_g1());

usergroup->kcfg_THUenabled->setChecked(KchildlockSettings::tHUenabled_g1());
usergroup->kcfg_THUfromhr->setValue(KchildlockSettings::tHUfromhr_g1());
usergroup->kcfg_THUfrommin->setValue(KchildlockSettings::tHUfrommin_g1());
usergroup->kcfg_THUtohr->setValue(KchildlockSettings::tHUtohr_g1());
usergroup->kcfg_THUtomin->setValue(KchildlockSettings::tHUtomin_g1());
usergroup->kcfg_THUmaxhr->setValue(KchildlockSettings::tHUmaxhr_g1());
usergroup->kcfg_THUmaxmin->setValue(KchildlockSettings::tHUmaxmin_g1());

usergroup->kcfg_FRIenabled->setChecked(KchildlockSettings::fRIenabled_g1());
usergroup->kcfg_FRIfromhr->setValue(KchildlockSettings::fRIfromhr_g1());
usergroup->kcfg_FRIfrommin->setValue(KchildlockSettings::fRIfrommin_g1());
usergroup->kcfg_FRItohr->setValue(KchildlockSettings::fRItohr_g1());
usergroup->kcfg_FRItomin->setValue(KchildlockSettings::fRItomin_g1());
usergroup->kcfg_FRImaxhr->setValue(KchildlockSettings::fRImaxhr_g1());
usergroup->kcfg_FRImaxmin->setValue(KchildlockSettings::fRImaxmin_g1());

usergroup->kcfg_SATenabled->setChecked(KchildlockSettings::sATenabled_g1());
usergroup->kcfg_SATfromhr->setValue(KchildlockSettings::sATfromhr_g1());
usergroup->kcfg_SATfrommin->setValue(KchildlockSettings::sATfrommin_g1());
usergroup->kcfg_SATtohr->setValue(KchildlockSettings::sATtohr_g1());
usergroup->kcfg_SATtomin->setValue(KchildlockSettings::sATtomin_g1());
usergroup->kcfg_SATmaxhr->setValue(KchildlockSettings::sATmaxhr_g1());
usergroup->kcfg_SATmaxmin->setValue(KchildlockSettings::sATmaxmin_g1());

usergroup->kcfg_SUNenabled->setChecked(KchildlockSettings::sUNenabled_g1());
usergroup->kcfg_SUNfromhr->setValue(KchildlockSettings::sUNfromhr_g1());
usergroup->kcfg_SUNfrommin->setValue(KchildlockSettings::sUNfrommin_g1());
usergroup->kcfg_SUNtohr->setValue(KchildlockSettings::sUNtohr_g1());
usergroup->kcfg_SUNtomin->setValue(KchildlockSettings::sUNtomin_g1());
usergroup->kcfg_SUNmaxhr->setValue(KchildlockSettings::sUNmaxhr_g1());
usergroup->kcfg_SUNmaxmin->setValue(KchildlockSettings::sUNmaxmin_g1());

usergroup->kcfg_WEEKenabled->setChecked(KchildlockSettings::wEEKenabled_g1());
usergroup->kcfg_WEEKmaxhr->setValue(KchildlockSettings::wEEKmaxhr_g1());
usergroup->kcfg_WEEKmaxmin->setValue(KchildlockSettings::wEEKmaxmin_g1());
}

void KchildlockConf::fillValuesInGui_g2(Ui_groupPage *usergroup)
{
usergroup->kcfg_enabled->setChecked(KchildlockSettings::enabled_g2());
usergroup->kcfg_DAYfromhr->setValue(KchildlockSettings::dAYfromhr_g2());
usergroup->kcfg_DAYfrommin->setValue(KchildlockSettings::dAYfrommin_g2());
usergroup->kcfg_DAYtohr->setValue(KchildlockSettings::dAYtohr_g2());
usergroup->kcfg_DAYtomin->setValue(KchildlockSettings::dAYtomin_g2());
usergroup->kcfg_DAYmaxhr->setValue(KchildlockSettings::dAYmaxhr_g2());
usergroup->kcfg_DAYmaxmin->setValue(KchildlockSettings::dAYmaxmin_g2());

usergroup->kcfg_MONenabled->setChecked(KchildlockSettings::mONenabled_g2());
usergroup->kcfg_MONfromhr->setValue(KchildlockSettings::mONfromhr_g2());
usergroup->kcfg_MONfrommin->setValue(KchildlockSettings::mONfrommin_g2());
usergroup->kcfg_MONtohr->setValue(KchildlockSettings::mONtohr_g2());
usergroup->kcfg_MONtomin->setValue(KchildlockSettings::mONtomin_g2());
usergroup->kcfg_MONmaxhr->setValue(KchildlockSettings::mONmaxhr_g2());
usergroup->kcfg_MONmaxmin->setValue(KchildlockSettings::mONmaxmin_g2());

usergroup->kcfg_TUEenabled->setChecked(KchildlockSettings::tUEenabled_g2());
usergroup->kcfg_TUEfromhr->setValue(KchildlockSettings::tUEfromhr_g2());
usergroup->kcfg_TUEfrommin->setValue(KchildlockSettings::tUEfrommin_g2());
usergroup->kcfg_TUEtohr->setValue(KchildlockSettings::tUEtohr_g2());
usergroup->kcfg_TUEtomin->setValue(KchildlockSettings::tUEtomin_g2());
usergroup->kcfg_TUEmaxhr->setValue(KchildlockSettings::tUEmaxhr_g2());
usergroup->kcfg_TUEmaxmin->setValue(KchildlockSettings::tUEmaxmin_g2());

usergroup->kcfg_WEDenabled->setChecked(KchildlockSettings::wEDenabled_g2());
usergroup->kcfg_WEDfromhr->setValue(KchildlockSettings::wEDfromhr_g2());
usergroup->kcfg_WEDfrommin->setValue(KchildlockSettings::wEDfrommin_g2());
usergroup->kcfg_WEDtohr->setValue(KchildlockSettings::wEDtohr_g2());
usergroup->kcfg_WEDtomin->setValue(KchildlockSettings::wEDtomin_g2());
usergroup->kcfg_WEDmaxhr->setValue(KchildlockSettings::wEDmaxhr_g2());
usergroup->kcfg_WEDmaxmin->setValue(KchildlockSettings::wEDmaxmin_g2());

usergroup->kcfg_THUenabled->setChecked(KchildlockSettings::tHUenabled_g2());
usergroup->kcfg_THUfromhr->setValue(KchildlockSettings::tHUfromhr_g2());
usergroup->kcfg_THUfrommin->setValue(KchildlockSettings::tHUfrommin_g2());
usergroup->kcfg_THUtohr->setValue(KchildlockSettings::tHUtohr_g2());
usergroup->kcfg_THUtomin->setValue(KchildlockSettings::tHUtomin_g2());
usergroup->kcfg_THUmaxhr->setValue(KchildlockSettings::tHUmaxhr_g2());
usergroup->kcfg_THUmaxmin->setValue(KchildlockSettings::tHUmaxmin_g2());

usergroup->kcfg_FRIenabled->setChecked(KchildlockSettings::fRIenabled_g2());
usergroup->kcfg_FRIfromhr->setValue(KchildlockSettings::fRIfromhr_g2());
usergroup->kcfg_FRIfrommin->setValue(KchildlockSettings::fRIfrommin_g2());
usergroup->kcfg_FRItohr->setValue(KchildlockSettings::fRItohr_g2());
usergroup->kcfg_FRItomin->setValue(KchildlockSettings::fRItomin_g2());
usergroup->kcfg_FRImaxhr->setValue(KchildlockSettings::fRImaxhr_g2());
usergroup->kcfg_FRImaxmin->setValue(KchildlockSettings::fRImaxmin_g2());

usergroup->kcfg_SATenabled->setChecked(KchildlockSettings::sATenabled_g2());
usergroup->kcfg_SATfromhr->setValue(KchildlockSettings::sATfromhr_g2());
usergroup->kcfg_SATfrommin->setValue(KchildlockSettings::sATfrommin_g2());
usergroup->kcfg_SATtohr->setValue(KchildlockSettings::sATtohr_g2());
usergroup->kcfg_SATtomin->setValue(KchildlockSettings::sATtomin_g2());
usergroup->kcfg_SATmaxhr->setValue(KchildlockSettings::sATmaxhr_g2());
usergroup->kcfg_SATmaxmin->setValue(KchildlockSettings::sATmaxmin_g2());

usergroup->kcfg_SUNenabled->setChecked(KchildlockSettings::sUNenabled_g2());
usergroup->kcfg_SUNfromhr->setValue(KchildlockSettings::sUNfromhr_g2());
usergroup->kcfg_SUNfrommin->setValue(KchildlockSettings::sUNfrommin_g2());
usergroup->kcfg_SUNtohr->setValue(KchildlockSettings::sUNtohr_g2());
usergroup->kcfg_SUNtomin->setValue(KchildlockSettings::sUNtomin_g2());
usergroup->kcfg_SUNmaxhr->setValue(KchildlockSettings::sUNmaxhr_g2());
usergroup->kcfg_SUNmaxmin->setValue(KchildlockSettings::sUNmaxmin_g2());

usergroup->kcfg_WEEKenabled->setChecked(KchildlockSettings::wEEKenabled_g2());
usergroup->kcfg_WEEKmaxhr->setValue(KchildlockSettings::wEEKmaxhr_g2());
usergroup->kcfg_WEEKmaxmin->setValue(KchildlockSettings::wEEKmaxmin_g2());
}

void KchildlockConf::fillValuesInGui_g3(Ui_groupPage *usergroup)
{
usergroup->kcfg_enabled->setChecked(KchildlockSettings::enabled_g3());
usergroup->kcfg_DAYfromhr->setValue(KchildlockSettings::dAYfromhr_g3());
usergroup->kcfg_DAYfrommin->setValue(KchildlockSettings::dAYfrommin_g3());
usergroup->kcfg_DAYtohr->setValue(KchildlockSettings::dAYtohr_g3());
usergroup->kcfg_DAYtomin->setValue(KchildlockSettings::dAYtomin_g3());
usergroup->kcfg_DAYmaxhr->setValue(KchildlockSettings::dAYmaxhr_g3());
usergroup->kcfg_DAYmaxmin->setValue(KchildlockSettings::dAYmaxmin_g3());

usergroup->kcfg_MONenabled->setChecked(KchildlockSettings::mONenabled_g3());
usergroup->kcfg_MONfromhr->setValue(KchildlockSettings::mONfromhr_g3());
usergroup->kcfg_MONfrommin->setValue(KchildlockSettings::mONfrommin_g3());
usergroup->kcfg_MONtohr->setValue(KchildlockSettings::mONtohr_g3());
usergroup->kcfg_MONtomin->setValue(KchildlockSettings::mONtomin_g3());
usergroup->kcfg_MONmaxhr->setValue(KchildlockSettings::mONmaxhr_g3());
usergroup->kcfg_MONmaxmin->setValue(KchildlockSettings::mONmaxmin_g3());

usergroup->kcfg_TUEenabled->setChecked(KchildlockSettings::tUEenabled_g3());
usergroup->kcfg_TUEfromhr->setValue(KchildlockSettings::tUEfromhr_g3());
usergroup->kcfg_TUEfrommin->setValue(KchildlockSettings::tUEfrommin_g3());
usergroup->kcfg_TUEtohr->setValue(KchildlockSettings::tUEtohr_g3());
usergroup->kcfg_TUEtomin->setValue(KchildlockSettings::tUEtomin_g3());
usergroup->kcfg_TUEmaxhr->setValue(KchildlockSettings::tUEmaxhr_g3());
usergroup->kcfg_TUEmaxmin->setValue(KchildlockSettings::tUEmaxmin_g3());

usergroup->kcfg_WEDenabled->setChecked(KchildlockSettings::wEDenabled_g3());
usergroup->kcfg_WEDfromhr->setValue(KchildlockSettings::wEDfromhr_g3());
usergroup->kcfg_WEDfrommin->setValue(KchildlockSettings::wEDfrommin_g3());
usergroup->kcfg_WEDtohr->setValue(KchildlockSettings::wEDtohr_g3());
usergroup->kcfg_WEDtomin->setValue(KchildlockSettings::wEDtomin_g3());
usergroup->kcfg_WEDmaxhr->setValue(KchildlockSettings::wEDmaxhr_g3());
usergroup->kcfg_WEDmaxmin->setValue(KchildlockSettings::wEDmaxmin_g3());

usergroup->kcfg_THUenabled->setChecked(KchildlockSettings::tHUenabled_g3());
usergroup->kcfg_THUfromhr->setValue(KchildlockSettings::tHUfromhr_g3());
usergroup->kcfg_THUfrommin->setValue(KchildlockSettings::tHUfrommin_g3());
usergroup->kcfg_THUtohr->setValue(KchildlockSettings::tHUtohr_g3());
usergroup->kcfg_THUtomin->setValue(KchildlockSettings::tHUtomin_g3());
usergroup->kcfg_THUmaxhr->setValue(KchildlockSettings::tHUmaxhr_g3());
usergroup->kcfg_THUmaxmin->setValue(KchildlockSettings::tHUmaxmin_g3());

usergroup->kcfg_FRIenabled->setChecked(KchildlockSettings::fRIenabled_g3());
usergroup->kcfg_FRIfromhr->setValue(KchildlockSettings::fRIfromhr_g3());
usergroup->kcfg_FRIfrommin->setValue(KchildlockSettings::fRIfrommin_g3());
usergroup->kcfg_FRItohr->setValue(KchildlockSettings::fRItohr_g3());
usergroup->kcfg_FRItomin->setValue(KchildlockSettings::fRItomin_g3());
usergroup->kcfg_FRImaxhr->setValue(KchildlockSettings::fRImaxhr_g3());
usergroup->kcfg_FRImaxmin->setValue(KchildlockSettings::fRImaxmin_g3());

usergroup->kcfg_SATenabled->setChecked(KchildlockSettings::sATenabled_g3());
usergroup->kcfg_SATfromhr->setValue(KchildlockSettings::sATfromhr_g3());
usergroup->kcfg_SATfrommin->setValue(KchildlockSettings::sATfrommin_g3());
usergroup->kcfg_SATtohr->setValue(KchildlockSettings::sATtohr_g3());
usergroup->kcfg_SATtomin->setValue(KchildlockSettings::sATtomin_g3());
usergroup->kcfg_SATmaxhr->setValue(KchildlockSettings::sATmaxhr_g3());
usergroup->kcfg_SATmaxmin->setValue(KchildlockSettings::sATmaxmin_g3());

usergroup->kcfg_SUNenabled->setChecked(KchildlockSettings::sUNenabled_g3());
usergroup->kcfg_SUNfromhr->setValue(KchildlockSettings::sUNfromhr_g3());
usergroup->kcfg_SUNfrommin->setValue(KchildlockSettings::sUNfrommin_g3());
usergroup->kcfg_SUNtohr->setValue(KchildlockSettings::sUNtohr_g3());
usergroup->kcfg_SUNtomin->setValue(KchildlockSettings::sUNtomin_g3());
usergroup->kcfg_SUNmaxhr->setValue(KchildlockSettings::sUNmaxhr_g3());
usergroup->kcfg_SUNmaxmin->setValue(KchildlockSettings::sUNmaxmin_g3());

usergroup->kcfg_WEEKenabled->setChecked(KchildlockSettings::wEEKenabled_g3());
usergroup->kcfg_WEEKmaxhr->setValue(KchildlockSettings::wEEKmaxhr_g3());
usergroup->kcfg_WEEKmaxmin->setValue(KchildlockSettings::wEEKmaxmin_g3());

}
